/* Generated by CIL v. 1.7.3 */
/* print_CIL_Input is true */

#line 5 "deneme.c"
void __globinit_deneme(void) ;
extern void __CrestInit(void)  __attribute__((__crest_skip__)) ;
extern void __CrestHandleReturn(int id , long long val )  __attribute__((__crest_skip__)) ;
extern void __CrestReturn(int id )  __attribute__((__crest_skip__)) ;
extern void __CrestCall(int id , unsigned int fid )  __attribute__((__crest_skip__)) ;
extern void __CrestBranch(int id , int bid , unsigned char b )  __attribute__((__crest_skip__)) ;
extern void __CrestApply2(int id , int op , long long val )  __attribute__((__crest_skip__)) ;
extern void __CrestApply1(int id , int op , long long val )  __attribute__((__crest_skip__)) ;
extern void __CrestClearStack(int id )  __attribute__((__crest_skip__)) ;
extern void __CrestStore(int id , unsigned long addr )  __attribute__((__crest_skip__)) ;
extern void __CrestLoad(int id , unsigned long addr , long long val )  __attribute__((__crest_skip__)) ;
#line 212 "/usr/lib/gcc/x86_64-linux-gnu/4.8/include/stddef.h"
typedef unsigned long size_t;
#line 131 "/usr/include/x86_64-linux-gnu/bits/types.h"
typedef long __off_t;
#line 132 "/usr/include/x86_64-linux-gnu/bits/types.h"
typedef long __off64_t;
#line 44 "/usr/include/stdio.h"
struct _IO_FILE;
#line 44
struct _IO_FILE;
#line 48 "/usr/include/stdio.h"
typedef struct _IO_FILE FILE;
#line 144 "/usr/include/libio.h"
struct _IO_FILE;
#line 154 "/usr/include/libio.h"
typedef void _IO_lock_t;
#line 160 "/usr/include/libio.h"
struct _IO_marker {
   struct _IO_marker *_next ;
   struct _IO_FILE *_sbuf ;
   int _pos ;
};
#line 245 "/usr/include/libio.h"
struct _IO_FILE {
   int _flags ;
   char *_IO_read_ptr ;
   char *_IO_read_end ;
   char *_IO_read_base ;
   char *_IO_write_base ;
   char *_IO_write_ptr ;
   char *_IO_write_end ;
   char *_IO_buf_base ;
   char *_IO_buf_end ;
   char *_IO_save_base ;
   char *_IO_backup_base ;
   char *_IO_save_end ;
   struct _IO_marker *_markers ;
   struct _IO_FILE *_chain ;
   int _fileno ;
   int _flags2 ;
   __off_t _old_offset ;
   unsigned short _cur_column ;
   signed char _vtable_offset ;
   char _shortbuf[1] ;
   _IO_lock_t *_lock ;
   __off64_t _offset ;
   void *__pad1 ;
   void *__pad2 ;
   void *__pad3 ;
   void *__pad4 ;
   size_t __pad5 ;
   int _mode ;
   char _unused2[(15UL * sizeof(int ) - 4UL * sizeof(void *)) - sizeof(size_t )] ;
};
#line 202 "../bin/../include/crest.h"
extern void __CrestInt(int *x )  __attribute__((__crest_skip__)) ;
#line 170 "/usr/include/stdio.h"
extern struct _IO_FILE *stderr ;
#line 356
extern int fprintf(FILE * __restrict  __stream , char const   * __restrict  __format 
                   , ...) ;
#line 5 "deneme.c"
int main(void) 
{ 
  int n ;
  int i ;
  int __retres3 ;

  {
  __globinit_deneme();
  __CrestCall(1, 1);
#line 8
  __CrestInt(& n);
  __CrestLoad(4, (unsigned long )(& n), (long long )n);
  __CrestLoad(3, (unsigned long )0, (long long )10);
  __CrestApply2(2, 14, (long long )(n > 10));
#line 10
  if (n > 10) {
    __CrestBranch(5, 3, 1);
    __CrestLoad(7, (unsigned long )0, (long long )0);
    __CrestStore(8, (unsigned long )(& __retres3));
#line 11
    __retres3 = 0;
#line 11
    goto return_label;
  } else {
    __CrestBranch(6, 5, 0);

  }
  __CrestLoad(9, (unsigned long )(& n), (long long )n);
#line 14
  fprintf((FILE * __restrict  )stderr, (char const   * __restrict  )"n = %d\n", n);
  __CrestClearStack(10);
  __CrestLoad(11, (unsigned long )0, (long long )0);
  __CrestStore(12, (unsigned long )(& i));
#line 15
  i = 0;
#line 15
  while (1) {
    while_continue: /* CIL Label */ ;
    {
    __CrestLoad(15, (unsigned long )(& i), (long long )i);
    __CrestLoad(14, (unsigned long )(& n), (long long )n);
    __CrestApply2(13, 16, (long long )(i < n));
#line 15
    if (i < n) {
      __CrestBranch(16, 11, 1);

    } else {
      __CrestBranch(17, 12, 0);
#line 15
      goto while_break;
    }
    }
    __CrestLoad(18, (unsigned long )(& i), (long long )i);
#line 16
    fprintf((FILE * __restrict  )stderr, (char const   * __restrict  )"i = %d\n",
            i);
    __CrestClearStack(19);
    __CrestLoad(22, (unsigned long )(& n), (long long )n);
    __CrestLoad(21, (unsigned long )0, (long long )2);
    __CrestApply2(20, 1, (long long )(n - 2));
    __CrestStore(23, (unsigned long )(& n));
#line 17
    n -= 2;
  }
  while_break: /* CIL Label */ 
  __CrestLoad(24, (unsigned long )0, (long long )1);
  __CrestStore(25, (unsigned long )(& __retres3));
#line 20
  __retres3 = 1;
  return_label: /* CIL Label */ 
  {
  __CrestLoad(26, (unsigned long )(& __retres3), (long long )__retres3);
  __CrestReturn(27);
#line 5
  return (__retres3);
  }
}
}
void __globinit_deneme(void) 
{ 


  {
  __CrestInit();
}
}
